import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { BaseComponent, ConfigService, HostAppService, PlatformService, NotificationsService, TranslateService } from 'tabby-core';
import { Config, ConfigSyncService } from '../services/configSync.service';
/** @hidden */
export declare class ConfigSyncSettingsTabComponent extends BaseComponent {
    config: ConfigService;
    platform: PlatformService;
    private configSync;
    private hostApp;
    private ngbModal;
    private notifications;
    private translate;
    connectionSuccessful: boolean | null;
    connectionError: Error | null;
    configs: Config[] | null;
    true: any;
    constructor(config: ConfigService, platform: PlatformService, configSync: ConfigSyncService, hostApp: HostAppService, ngbModal: NgbModal, notifications: NotificationsService, translate: TranslateService);
    ngOnInit(): Promise<void>;
    testConnection(): Promise<void>;
    loadConfigs(): Promise<void>;
    uploadAsNew(): Promise<void>;
    uploadAndSync(cfg: Config): Promise<void>;
    downloadAndSync(cfg: Config): Promise<void>;
    delete(cfg: Config): Promise<void>;
    hasMatchingRemoteConfig(): boolean;
    isActiveConfig(c: Config): boolean;
    openSyncHost(): void;
    openTabbyWebInfo(): void;
}
